Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package tasty
  Definition Classes
    nsc
-  package bridge
  Definition Classes
    tasty
-  trait TypeOps extends AnyRef

  This layer adds factories that construct `scala.reflect` Types in the shapes that TASTy expects.

  This layer adds factories that construct `scala.reflect` Types in the shapes that TASTy expects. Additionally provides operations to select a type from a type, or a type from a type with an additional prefix, using a `TastyName`.

  Definition Classes
    bridge
- AndTpe
- ContextFunctionType
- FunctionXXLType
- HKTypeLambda
- LambdaPolyType
- LambdaTypeCompanion
- MethodTypeCompanion
- PolyType
- TastyCompleter
- TastyRepr
- TermLambdaCompanion
- TypeLambdaCompanion
- defn

o

scala.tools.nsc.tasty.bridge.TypeOps

# HKTypeLambda

###

#### object HKTypeLambda extends TastyUniverse.TypeLambdaCompanion with java.io.Serializable

Source
  TypeOps.scala

Linear Supertypes
java.io.Serializable, TastyUniverse.TypeLambdaCompanion, TastyUniverse.LambdaTypeCompanion[TypeName], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HKTypeLambda
2. Serializable
3. TypeLambdaCompanion
4. LambdaTypeCompanion
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def apply(params: List[TypeName])(registerCallback: (TastyUniverse.Type) => Unit, paramInfosOp: () => List[TastyUniverse.Type], resultTypeOp: () => TastyUniverse.Type)(implicit ctx: TastyUniverse.Context): TastyUniverse.Type
   Definition Classes
     LambdaTypeCompanion
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def factory(params: List[TypeName])(registerCallback: (TastyUniverse.Type) => Unit, paramInfosOp: () => List[TastyUniverse.Type], resultTypeOp: () => TastyUniverse.Type)(implicit ctx: TastyUniverse.Context): TastyUniverse.LambdaType
   Definition Classes
     HKTypeLambda → LambdaTypeCompanion
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from java.io.Serializable

### Inherited from TastyUniverse.TypeLambdaCompanion

### Inherited from TastyUniverse.LambdaTypeCompanion[TypeName]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped